Subject: bind 4.9.2 question
From: Bryan Beecher <[email-masked]>
To: [email-masked] (Ken Dahl)
Cc: Paul A Vixie <paul>
Date: Tue, 12 Oct 93 15:38:30 -0400

> 	I was rebuilding libc.so on our suns to include the bind 4.9.2
> code, and wanted to disable the SUNSECURITY.  However, I noticed that in
> conf/options.h where it forces SUNSECURITY to be defined on suns, it
> claims that it is "mandatory on suns and rlogin etc. depend on this".
> We've disabled this is previous versions of the bind code without
> noticable problems.  What are the implications of disabling SUNSECURITY
> on suns?

The C library shipped with SunOS 4.1.3 (and perhaps earlier and later
versions) has some added "security code" inside of gethostbyaddr().  This
code consists of doing a gethostbyname() on the result of a
gethostbyaddr(), and then checking to see if one of the addresses returned
by gethostbyname() matches the original argument to gethostbyaddr().  In
other words, it checks to see that a host has both a PTR record, and a
matching A record.

If you remove the Sun-supplied gethostbyaddr(), and replace it with the one
provided by BIND 4.9.2, and you want the same behavior, then I believe the
SUNSECURITY #ifdef is necessary.  If you want a less "fussy"
gethostbyaddr(), then leaving it out is OK.
					-- bryan